AM_CPPFLAGS = -O3 $(LFC_CFLAGS) ${MINGWDEF}
AM_LDFLAGS = 

lib_LTLIBRARIES = libcego.la libcgwrap.la
libcego_la_LDFLAGS = -version-info 2:0:0
libcgwrap_la_LDFLAGS = -version-info 2:0:0

libcego_la_SOURCES = \
	Cego.cc 		Cego.h \
	CegoAdm.cc 		CegoAdm.h  \
	CegoAdmNet.cc 		CegoAdmNet.h \
	CegoAdmAction.cc 	CegoAdmAction.h \
	CegoAction.cc		CegoAction.h \
	CegoAdminThread.cc	CegoAdminThread.h \
	CegoAdminThreadPool.cc	CegoAdminThreadPool.h \
	CegoAdminHandler.cc	CegoAdminHandler.h \
	CegoAggregation.cc	CegoAggregation.h \
	CegoAliasObject.cc	CegoAliasObject.h \
	CegoAlterDesc.cc	CegoAlterDesc.h \
	CegoArchiveThread.cc	CegoArchiveThread.h \
	CegoAttrAlias.cc	CegoAttrAlias.h \
	CegoAttrCond.cc		CegoAttrCond.h \
	CegoAttrDesc.cc		CegoAttrDesc.h \
	CegoAttrComp.cc		CegoAttrComp.h \
	CegoAVLIndexCursor.cc	CegoAVLIndexCursor.h\
	CegoAVLIndexEntry.cc	CegoAVLIndexEntry.h \
	CegoAVLIndexManager.cc	CegoAVLIndexManager.h \
	CegoBlob.cc		CegoBlob.h \
	CegoBTreeCursor.cc	CegoBTreeCursor.h \
	CegoBTreeManager.cc	CegoBTreeManager.h \
	CegoBTreeNode.cc	CegoBTreeNode.h \
	CegoBTreeObject.cc	CegoBTreeObject.h \
	CegoBTreeValue.cc	CegoBTreeValue.h \
	CegoBufferPage.cc	CegoBufferPage.h \
	CegoBufferPool.cc	CegoBufferPool.h \
	CegoBufferPoolEntry.cc	CegoBufferPoolEntry.h \
	CegoCaseCond.cc		CegoCaseCond.h \
	CegoCheckpoint.cc	CegoCheckpoint.h \
	CegoCheckpointDump.cc	CegoCheckPointDump.h \
	CegoCheckObject.cc	CegoCheckObject.h \
	CegoClob.cc		CegoClob.h \
	CegoCondition.cc	CegoCondition.h \
	CegoContentObject.cc	CegoContentObject.h \
	CegoDatabaseFormater.cc	CegoDatabaseFormater.h \
	CegoDatabaseManager.cc	CegoDatabaseManager.h \
	CegoDbThreadPool.cc	CegoDbThreadPool.h \
	CegoDbThread.cc		CegoDbThread.h \
	CegoDataPointer.cc	CegoDataPointer.h \
	CegoDbHandler.cc	CegoDbHandler.h \
	CegoDecodableObject.cc	CegoDecodableObject.h \
	CegoExpr.cc		CegoExpr.h \
	CegoExpOutStream.cc	CegoExpOutStream.h \
	CegoField.cc		CegoField.h \
	CegoFieldValue.cc	CegoFieldValue.h \
	CegoFactor.cc		CegoFactor.h \
	CegoFileHandler.cc	CegoFileHandler.h \
	CegoFunction.cc		CegoFunction.h \
	CegoGroupCursor.cc	CegoGroupCursor.h \
	CegoGroupNode.cc	CegoGroupNode.h \
	CegoGroupSpace.cc	CegoGroupSpace.h \
	CegoImpInStream.cc	CegoImpInStream.h \
	CegoJDBCInfo.cc		CegoJDBCInfo.h \
	CegoJoinObject.cc	CegoJoinObject.h \
	CegoKeyObject.cc	CegoKeyObject.h \
	CegoLockHandler.cc	CegoLockHandler.h \
	CegoLogManager.cc	CegoLogManager.h \
	CegoLogRecord.cc 	CegoLogRecord.h \
	CegoModule.cc		CegoModule.h \
	CegoNet.cc		CegoNet.h \
	CegoObject.cc		CegoObject.h \
	CegoObjectCursor.cc	CegoObjectCursor.h \
	CegoObjectManager.cc	CegoObjectManager.h \
	CegoOrderCursor.cc	CegoOrderCursor.h \
	CegoOrderNode.cc	CegoOrderNode.h \
	CegoOrderSpace.cc	CegoOrderSpace.h \
	CegoOutput.cc		CegoOutput.h \
	CegoPredicate.cc	CegoPredicate.h \
	CegoProcedure.cc	CegoProcedure.h \
	CegoProcThrowStmt.cc	CegoProcThrowStmt.h \
	CegoProcAssignStmt.cc	CegoProcAssignStmt.h \
	CegoProcBlock.cc	CegoProcBlock.h \
	CegoProcBlockStmt.cc	CegoProcBlockStmt.h \
	CegoProcCursor.cc	CegoProcCursor.h \
	CegoProcCursorCloseStmt.cc	CegoProcCursorCloseStmt.h \
	CegoProcCursorCreateStmt.cc	CegoProcCursorCreateStmt.h \
	CegoProcException.cc	CegoProcException.h \
	CegoProcFetch.cc	CegoProcFetch.h \
	CegoProcIfStmt.cc	CegoProcIfStmt.h \
	CegoProcNoopStmt.cc	CegoProcNoopStmt.h \
	CegoProcQueryStmt.cc	CegoProcQueryStmt.h \
	CegoProcReturnStmt.cc	CegoProcReturnStmt.h \
	CegoProcStmt.cc		CegoProcStmt.h \
	CegoProcWhileStmt.cc	CegoProcWhileStmt.h \
	CegoProcObject.cc	CegoProcObject.h \
	CegoProcVar.cc		CegoProcVar.h \
	CegoQuery.cc		CegoQuery.h \
	CegoQueryCache.cc	CegoQueryCache.h \
	CegoQueryCursor.cc	CegoQueryCursor.h \
	CegoQueryException.cc	CegoQueryException.h \
	CegoQueryHelper.cc	CegoQueryHelper.h \
	CegoQueryManager.cc	CegoQueryManager.h \
	CegoRecoveryManager.cc	CegoRecoveryManager.h \
	CegoReplacer.cc		CegoReplacer.h \
	CegoReturnVar.cc	CegoReturnVar.h \
	CegoSelect.cc		CegoSelect.h \
	CegoSerial.cc		CegoSerial.h \
	CegoSigCatch.cc		CegoSigCatch.h \
	CegoSystemObject.cc	CegoSystemObject.h \
	CegoTableCache.cc	CegoTableCache.h \
	CegoTableObject.cc	CegoTableObject.h \
	CegoTableCursor.cc	CegoTableCursor.h \
	CegoTableManager.cc	CegoTableManager.h \
	CegoTerm.cc		CegoTerm.h \
	CegoTransactionManager.cc	CegoTransactionManager.h \
	CegoTrigger.cc		CegoTrigger.h \
	CegoTriggerObject.cc	CegoTriggerObject.h \
	CegoTypeConverter.cc	CegoTypeConverter.h \
	CegoView.cc		CegoView.h \
	CegoViewObject.cc	CegoViewObject.h \
	CegoXMLHelper.cc	CegoXMLHelper.h \
	CegoXMLSpace.cc		CegoXMLSpace.h \
	CegoXPorter.cc		CegoXPorter.h

libcgwrap_la_SOURCES = cgwrap.cc cgwrap.h

bin_PROGRAMS = cego cgclt cgadm cgblow cglog

cego_LDADD = libcego.la $(LFC_LIBS) 
cgclt_LDADD = libcego.la $(LFC_LIBS) 
cgadm_LDADD = libcego.la $(LFC_LIBS) 
cgblow_LDADD = libcego.la $(LFC_LIBS) 
cglog_LDADD = libcego.la $(LFC_LIBS) 

cego_SOURCES =	CegoMain.cc CegoMain.h
cgclt_SOURCES = CegoClient.cc CegoClient.h
cgadm_SOURCES = CegoAdmin.cc CegoAdmin.h CegoAdmScreen.cc CegoAdmScreen.h 
cgblow_SOURCES = CegoBlowTab.cc CegoBlowTab.h
cglog_SOURCES = CegoLogReader.cc CegoLogReader.h

library_includedir=$(includedir)/cego
library_include_HEADERS = Cego.h \
CegoAdm.h  \
CegoAdmNet.h \
CegoAdmAction.h \
CegoAction.h \
CegoAdminThread.h \
CegoAdminThreadPool.h \
CegoAdminHandler.h \
CegoAggregation.h \
CegoAliasObject.h \
CegoAlterDesc.h \
CegoArchiveThread.h \
CegoAttrAlias.h \
CegoAttrCond.h \
CegoAttrDesc.h \
CegoAttrComp.h \
CegoAVLIndexCursor.h\
CegoAVLIndexEntry.h \
CegoAVLIndexManager.h \
CegoBlob.h \
CegoBTreeCursor.h \
CegoBTreeManager.h \
CegoBTreeNode.h \
CegoBTreeObject.h \
CegoBTreeValue.h \
CegoBufferPage.h \
CegoBufferPool.h \
CegoBufferPoolEntry.h \
CegoCaseCond.h \
CegoCheckpoint.h \
CegoCheckpointDump.h \
CegoCheckObject.h \
CegoClob.h \
CegoComparison.h \
CegoCondition.h \
CegoContentObject.h \
CegoDatabaseFormater.h \
CegoDatabaseManager.h \
CegoDataType.h \
CegoDbThreadPool.h \
CegoDbThread.h \
CegoDefs.h \
CegoDataPointer.h \
CegoDbHandler.h \
CegoDecodableObject.h \
CegoException.h \
CegoExpr.h \
CegoExpOutStream.h \
CegoField.h \
CegoFieldValue.h \
CegoFactor.h \
CegoFileHandler.h \
CegoFunction.h \
CegoGroupCursor.h \
CegoGroupNode.h \
CegoGroupSpace.h \
CegoImpInStream.h \
CegoJDBCInfo.h \
CegoJoinObject.h \
CegoKeyObject.h \
CegoLockHandler.h \
CegoLogManager.h \
CegoLogRecord.h \
CegoModule.h \
CegoNet.h \
CegoObject.h \
CegoOutput.h \
CegoObjectCursor.h \
CegoObjectManager.h \
CegoOrderCursor.h \
CegoOrderNode.h \
CegoOrderSpace.h \
CegoPredicate.h \
CegoProcedure.h \
CegoProcThrowStmt.h \
CegoProcAssignStmt.h \
CegoProcBlock.h \
CegoProcBlockStmt.h \
CegoProcCursor.h \
CegoProcCursorCloseStmt.h \
CegoProcCursorCreateStmt.h \
CegoProcException.h \
CegoProcFetch.h \
CegoProcIfStmt.h \
CegoProcNoopStmt.h \
CegoProcQueryStmt.h \
CegoProcReturnStmt.h \
CegoProcStmt.h \
CegoProcWhileStmt.h \
CegoProcObject.h \
CegoProcVar.h \
CegoQuery.h \
CegoQueryCache.h \
CegoQueryCursor.h \
CegoQueryException.h \
CegoQueryHelper.h \
CegoQueryManager.h \
CegoRecoveryManager.h \
CegoReturnVar.h \
CegoReplacer.h \
CegoSelect.h \
CegoSerial.h \
CegoSigCatch.h \
CegoSystemObject.h \
CegoTableCache.h \
CegoTableObject.h \
CegoTableCursor.h \
CegoTableManager.h \
CegoTerm.h \
CegoTupleState.h \
CegoTransactionManager.h \
CegoTrigger.h \
CegoTriggerObject.h \
CegoTypeConverter.h \
CegoView.h \
CegoViewObject.h \
CegoXMLdef.h \
CegoXMLHelper.h \
CegoXMLSpace.h \
CegoXPorter.h \
cgwrap.h


TESTS = cegoprogcheck cgcltprogcheck cgadmprogcheck cglogprogcheck cgblowprogcheck


